commit 53e771b0ddaa89477793c8955ed474acf42c32b5
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Dec 18 10:50:33 2025 +0000

    Docs: more notes on DBM lookups

diff --git a/src/src/dbfn.c b/src/src/dbfn.c
index 7c2dbcce3..3ed78901b 100644
--- a/src/src/dbfn.c
+++ b/src/src/dbfn.c
@@ -381,6 +381,16 @@ no guarantee of alignment. Since all the records used by Exim need
 to be properly aligned to pick out the timestamps, etc., we might as
 well do the copying centrally here.
 
+Callers:
+	dbfn_read_with_length		(below)
+	  dbfn_read			dbfunctions.h
+	   (assorted hintsdb uses)
+	  (assorted hintsdb uses)
+	  dbfn_read_enforce_length	(below)
+	    (assorted hintsdb uses)
+	  exim_dbutil.c			utils
+	lookups/dbmdb.c			lookup dbm
+
 Arguments:
   dbblock   a pointer to an open database block
   key       the key of the record to be read
diff --git a/src/src/hintsdb/hints_sqlite.h b/src/src/hintsdb/hints_sqlite.h
index dd88dd98b..1772a85c7 100644
--- a/src/src/hintsdb/hints_sqlite.h
+++ b/src/src/hintsdb/hints_sqlite.h
@@ -187,6 +187,11 @@ return more;
 }
 
 /* EXIM_DBGET - returns the value associated with the key. */
+/* Callers:
+	dbfn_read_klen			lookup-dbm, hints general
+	autoreply_transport_entry	autoreply tpt
+	dbfn_read_with_length		utils
+*/
 static inline BOOL
 exim_dbget(EXIM_DB * dbp, EXIM_DATUM * key, EXIM_DATUM * res)
 {
@@ -208,6 +213,12 @@ return (SQLITE_DONE == exim_sqlprep_step(dbp, sql, key, data, NULL )) ? EXIM_DBP
 }
 
 /* EXIM_DBPUT - returns nothing useful, assumes replace mode */
+/* Callers:
+	dbfn_write				hints general
+	autoreply_transport_entry		autoreply tpt
+	main(dbmbuild)				utils
+	dbfn_write				utils
+*/
 static inline int
 exim_dbput(EXIM_DB * dbp, EXIM_DATUM * key, EXIM_DATUM * data)
 {
@@ -229,6 +240,10 @@ return exim_s_dbp(dbp, key, data, "INSERT OR ABORT INTO tblblob (ky, dat) VALUES
 }
 
 /* EXIM_DBDEL */
+/* Callers
+	dbfn_delete			hints general
+	dnfn_delete			utils
+*/
 static inline int
 exim_dbdel(EXIM_DB * dbp, EXIM_DATUM * key)
 {

